magic-calculatorquadra-blocksifgeomaccamlxxv
Download CamlX
Mac OS 10.3 or later
Icon

CamlX

1.6 (March 2014)
CamlX is a Wrapper for the OCaml (or Caml Ligth) top-level environment.

It includes Caml Light, you don't need to install an external Caml distribution. But you can use your own version of Caml (you must specify path in preferences menu).

CamlX requirements :
 - Mac OS X 10.3.5 or higher
 - X11 (to use graphics library)




Main Functionalities
  • Support of OCaml and Caml Light

  • Support of graphics library (XQuartz required)

  • Syntax coloring

  • A version of Caml Ligth 0.80 is included